/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Ut feb 18 14:21:20 CET 2003
    copyright            : (C) 2003 by Ondrej Krško
    email                : ondrej.krsko@zoznam.sk
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>

#include "serial2.h"

static const char *description =
	I18N_NOOP("Serial2");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { "+[File]", I18N_NOOP("file to open"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData aboutData( "serial2", I18N_NOOP("Serial2"),
		VERSION, description, KAboutData::License_GPL,
		"(c) 2003, Ondrej Krško", 0, 0, "ondrej.krsko@zoznam.sk");
	aboutData.addAuthor("Ondrej Krško",0, "ondrej.krsko@zoznam.sk");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  KApplication app;
 
  if (app.isRestored())
  {
    RESTORE(Serial2App);
  }
  else 
  {
    Serial2App *serial2 = new Serial2App();
    serial2->show();

    KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		
		if (args->count())
		{
        serial2->openDocumentFile(args->arg(0));
		}
		else
		{
		  serial2->openDocumentFile();
		}
		args->clear();
  }

  return app.exec();
}  
